/*
EntryPoints

## Overview  EntryPoint is one of the ways to start interaction flow. It can be represented as QR code, link (https://slace.me/... URL) or NFC tag.  ## Data  EntryPoints contain two types of data:   - **static** - *\"internal\" data storage which can be updated only via editing the EntryPoint* (directly or via Interaction) - **dynamic** - *public data which can be altered also via query parameters of the EP link. Should NOT be used for secrets or critical data* because it can be overwritten by the end user.  Both data containers are copied to transaction created when EntryPoint is entered. This data is used primarily for personalization or flow control of the Interaction.  ## EP Batches  EntryPoints can be batch-created (superadmin feature) and then [assigned](https://slace.stoplight.io/docs/stoplight-docs-core/altekzonwbrq9-imports-uploads#assignment-xlsx) to specific Interactions.  > EntryPoints in a batch have random hashes but it's possible to mass-create EPs using the assignment feature (only superadmins). If a value from **Link hash** column is not found it will be auto-created. This allows to create EntryPoints following different hash pattern (e.g. with common prefix).  EntryPoints are re-assignable meaning that they can be re-used for other Interactions even in another Channel or Organization by another [assignment import](https://slace.stoplight.io/docs/stoplight-docs-core/altekzonwbrq9-imports-uploads#assignment-xlsx).  ## Redirects  There is a special type of EntryPoint which does not start a SLACE Interaction but redirects to a configured URL.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package entrypoints

import (
	"encoding/json"
)

// checks if the AdminEntryPointsList type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AdminEntryPointsList{}

// AdminEntryPointsList struct for AdminEntryPointsList
type AdminEntryPointsList struct {
	Results []AdminEntryPoint `json:"results"`
	Total int32 `json:"total"`
}

// NewAdminEntryPointsList instantiates a new AdminEntryPointsList object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAdminEntryPointsList(results []AdminEntryPoint, total int32) *AdminEntryPointsList {
	this := AdminEntryPointsList{}
	this.Results = results
	this.Total = total
	return &this
}

// NewAdminEntryPointsListWithDefaults instantiates a new AdminEntryPointsList object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAdminEntryPointsListWithDefaults() *AdminEntryPointsList {
	this := AdminEntryPointsList{}
	return &this
}

// GetResults returns the Results field value
func (o *AdminEntryPointsList) GetResults() []AdminEntryPoint {
	if o == nil {
		var ret []AdminEntryPoint
		return ret
	}

	return o.Results
}

// GetResultsOk returns a tuple with the Results field value
// and a boolean to check if the value has been set.
func (o *AdminEntryPointsList) GetResultsOk() ([]AdminEntryPoint, bool) {
	if o == nil {
		return nil, false
	}
	return o.Results, true
}

// SetResults sets field value
func (o *AdminEntryPointsList) SetResults(v []AdminEntryPoint) {
	o.Results = v
}

// GetTotal returns the Total field value
func (o *AdminEntryPointsList) GetTotal() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Total
}

// GetTotalOk returns a tuple with the Total field value
// and a boolean to check if the value has been set.
func (o *AdminEntryPointsList) GetTotalOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Total, true
}

// SetTotal sets field value
func (o *AdminEntryPointsList) SetTotal(v int32) {
	o.Total = v
}

func (o AdminEntryPointsList) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AdminEntryPointsList) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["results"] = o.Results
	toSerialize["total"] = o.Total
	return toSerialize, nil
}

type NullableAdminEntryPointsList struct {
	value *AdminEntryPointsList
	isSet bool
}

func (v NullableAdminEntryPointsList) Get() *AdminEntryPointsList {
	return v.value
}

func (v *NullableAdminEntryPointsList) Set(val *AdminEntryPointsList) {
	v.value = val
	v.isSet = true
}

func (v NullableAdminEntryPointsList) IsSet() bool {
	return v.isSet
}

func (v *NullableAdminEntryPointsList) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAdminEntryPointsList(val *AdminEntryPointsList) *NullableAdminEntryPointsList {
	return &NullableAdminEntryPointsList{value: val, isSet: true}
}

func (v NullableAdminEntryPointsList) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAdminEntryPointsList) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


